{%- assign title = include.title | escape -%}
{%- assign text = include.description | strip_html | escape -%}
{%- assign url = site.url | append: include.url | escape -%}

<input
  data-controller="share"
  data-action="share#share"
  data-share-title-value="{{ title }}"
  data-share-text-value="{{ text }}"
  data-share-url-value="{{ url }}"
  type="checkbox"
  id="share"
  class="toggler"
  autocomplete="off" />

<label class="share btn border" for="share">
  {{ site.i18n.share.text }}
  <i class="fa fa-{{ site.i18n.share.icon }}"></i>

  <div class="share-box toggled d-flex align-items-center justify-content-center">
    <div class="box background-white color-redpink row no-gutters align-items-center justify-content-center p-3">
      {% for share in site.i18n.share.items %}
        <div class="col-4">
          {% include_cached share.html share=share url=include.url title=include.title description=include.description %}
        </div>
      {% endfor %}
    </div>
  </div>
</label>
